# $Revision: 1.5.2.1 $, $Date: 2003/03/13 00:58:49 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	String
%define	pnam	ParseWords
Summary:	String::ParseWords - Parse a string into logical words
Summary(pl):	String::ParseWords - analiza acucha z rozkadem na logiczne sowa
Name:		perl-String-ParseWords
Version:	0.1
Release:	2
License:	IBM Public License Version 1.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
String::ParseWords is designed to parse logical words from a string.
Logical words are defined as sets of characters between double quotes
or sets of characters between whitespace.

%description -l pl
Modu String::ParseWords suy do analizy logicznych sw w acuchu.
Logiczne sowa s zdefiniowane jako zbiory znakw midzy podwjnymi
cudzysowami lub zbiory znakow midzy biaymi znakami (odstpami).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-String-ParseWords.spec,v $
Revision 1.5.2.1  2003/03/13 00:58:49  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.5  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:38:27  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/08/27 22:37:23  qboosh
- pl description, release 2

Revision 1.2  2002/08/09 10:03:19  radek
- cosmetic fix

Revision 1.1  2002/08/09 10:00:08  radek
- new, STBR
